#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,K,i,m=0,d=0;
    scanf("%d %d", &N, &K);
    int pakli[N];
    for(i=0;i<N;i++)
    {
        scanf("%d", &pakli[i]);
    if(N==2)
        {
            if((pakli[i]==K)&& (i==1))
            {
                m=pakli[0];
            }
            else
            {
                m=pakli[1];
            }
        }


    else
        { if(d==0)
          {
                 if(pakli[i]==K)
                 {
                     if(i==(N-1))
                    {
                       m=pakli[0];
                   }
                   else{
                    d=1;
                   }
                 }



            }
            else if(d==1)
                {
                m=pakli[i];
            }

        }




    }
    printf("%d",m);
    return 0;
}